<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="net.letime.lecjoa.test"
    android:versionCode="40"
    android:versionName="2.0-beta.2" >

    <uses-sdk
        android:minSdkVersion="19"
        android:targetSdkVersion="27" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.VIBRATE" /> <!-- For notifications -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" /> <!-- for day/night mode -->
    <application
        android:name="net.letime.lecjoa.lecjoaApplication"
        android:allowBackup="false"
        android:debuggable="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:testOnly="true"
        android:theme="@style/lecjoaTheme" >
        <activity
            android:name="net.letime.lecjoa.SplashActivity"
            android:theme="@style/SplashTheme" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="net.letime.lecjoa.SavedTootActivity"
            android:configChanges="orientation|screenSize|keyboardHidden" >
        </activity>
        <activity
            android:name="net.letime.lecjoa.LoginActivity"
            android:windowSoftInputMode="adjustResize" >
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="net.letime.lecjoa.test"
                    android:scheme="@string/oauth_scheme" />
            </intent-filter>
        </activity>
        <activity
            android:name="net.letime.lecjoa.MainActivity"
            android:configChanges="orientation|screenSize|keyboardHidden" >
        </activity>
        <activity
            android:name="net.letime.lecjoa.ComposeActivity"
            android:theme="@style/lecjoaDialogActivityTheme"
            android:windowSoftInputMode="stateVisible|adjustResize" >
            <intent-filter>
                <action android:name="android.intent.action.SEND" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="text/plain" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.SEND" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="image/*" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.SEND_MULTIPLE" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="image/*" />
            </intent-filter>
        </activity>
        <activity
            android:name="net.letime.lecjoa.ViewVideoActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:theme="@style/lecjoaBaseTheme" />
        <activity
            android:name="net.letime.lecjoa.ViewThreadActivity"
            android:configChanges="orientation|screenSize" />
        <activity android:name="net.letime.lecjoa.ViewTagActivity" />
        <activity
            android:name="net.letime.lecjoa.ViewMediaActivity"
            android:theme="@style/lecjoaBaseTheme" />
        <activity android:name="net.letime.lecjoa.AccountActivity" />
        <activity android:name="net.letime.lecjoa.EditProfileActivity" />
        <activity android:name="net.letime.lecjoa.PreferencesActivity" />
        <activity android:name="net.letime.lecjoa.FavouritesActivity" />
        <activity android:name="net.letime.lecjoa.AccountListActivity" />
        <activity android:name="net.letime.lecjoa.AboutActivity" />
        <activity
            android:name="net.letime.lecjoa.ReportActivity"
            android:windowSoftInputMode="stateVisible|adjustResize" />
        <activity
            android:name="com.theartofdev.edmodo.cropper.CropImageActivity"
            android:theme="@style/Base.Theme.AppCompat" />
        <activity
            android:name="net.letime.lecjoa.SearchActivity"
            android:launchMode="singleTop" >
            <intent-filter>
                <action android:name="android.intent.action.SEARCH" />
            </intent-filter>

            <meta-data
                android:name="android.app.searchable"
                android:resource="@xml/searchable" />
        </activity>
        <activity android:name="net.letime.lecjoa.ListsActivity" />
        <activity android:name="net.letime.lecjoa.ModalTimelineActivity" />
        <activity android:name="net.letime.lecjoa.LicenseActivity" />

        <receiver android:name="net.letime.lecjoa.receiver.NotificationClearBroadcastReceiver" />
        <receiver
            android:name="net.letime.lecjoa.receiver.SendStatusBroadcastReceiver"
            android:enabled="true"
            android:exported="false" />

        <service
            android:name="net.letime.lecjoa.service.lecjoaTileService"
            android:icon="@drawable/ic_lecjoa"
            android:label="Compose Toot"
            android:permission="android.permission.BIND_QUICK_SETTINGS_TILE" >
            <intent-filter>
                <action android:name="android.service.quicksettings.action.QS_TILE" />
            </intent-filter>
        </service>
        <service android:name="net.letime.lecjoa.service.SendTootService" />

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="net.letime.lecjoa.test.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true" >
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity
            android:name="im.dino.dbinspector.activities.DbInspectorActivity"
            android:icon="@drawable/dbinspector_ic_launcher"
            android:label="@string/dbinspector_app_name"
            android:taskAffinity="im.dino.dbinspector"
            android:theme="@style/Theme.AppCompat.Light.DarkActionBar" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name="im.dino.dbinspector.services.CopyDbIntentService"
            android:exported="false" />
        <service
            android:name="im.dino.dbinspector.services.ImportDbIntentService"
            android:exported="false" />
        <service
            android:name="im.dino.dbinspector.services.ClearTableIntentService"
            android:exported="false" />

        <provider
            android:name="im.dino.dbinspector.providers.DatabaseProvider"
            android:authorities="dbInspector_net.letime.lecjoa.test"
            android:exported="false"
            android:grantUriPermissions="true" />

        <service
            android:name="com.evernote.android.job.v21.PlatformJobService"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name="com.evernote.android.job.v14.PlatformAlarmService"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name="com.evernote.android.job.v14.PlatformAlarmServiceExact"
            android:exported="false" />

        <receiver
            android:name="com.evernote.android.job.v14.PlatformAlarmReceiver"
            android:exported="false" >
            <intent-filter>

                <!-- Keep the filter for legacy intents -->
                <action android:name="com.evernote.android.job.v14.RUN_JOB" />
                <action android:name="net.vrallev.android.job.v14.RUN_JOB" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.evernote.android.job.JobBootReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.QUICKBOOT_POWERON" />
                <action android:name="com.htc.intent.action.QUICKBOOT_POWERON" />
                <action android:name="android.intent.action.MY_PACKAGE_REPLACED" />
            </intent-filter>
        </receiver>

        <service
            android:name="com.evernote.android.job.gcm.PlatformGcmService"
            android:enabled="false"
            android:exported="true"
            android:permission="com.google.android.gms.permission.BIND_NETWORK_TASK_SERVICE" >
            <intent-filter>
                <action android:name="com.google.android.gms.gcm.ACTION_TASK_READY" />
            </intent-filter>
        </service>
        <service
            android:name="com.evernote.android.job.JobRescheduleService"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <provider
            android:name="android.arch.lifecycle.ProcessLifecycleOwnerInitializer"
            android:authorities="net.letime.lecjoa.test.lifecycle-trojan"
            android:exported="false"
            android:multiprocess="true" />
        <provider
            android:name="com.android.tools.ir.server.InstantRunContentProvider"
            android:authorities="net.letime.lecjoa.test.com.android.tools.ir.server.InstantRunContentProvider"
            android:multiprocess="true" />
    </application>

</manifest>